export declare class StateContext {
    private readonly _enteredTime;
    private readonly _name;
    private readonly _retryCount;
    constructor(_enteredTime: string, _name: string, _retryCount: number);
    static create(name: string, retryCount?: number): StateContext;
    get Name(): string;
    get EnteredTime(): string;
    get RetryCount(): number;
}
