import { Context } from '../Context/Context';
import { PayloadTemplateType } from '../types/State';
import { PayloadTemplate } from './PayloadTemplate';
export declare class ParameterPayloadTemplate extends PayloadTemplate {
    private readonly _payload;
    private readonly _context;
    private static acceptableParameterProperties;
    constructor(_payload: PayloadTemplateType, _context: Context);
    static create(payload: PayloadTemplateType, context: Context): ParameterPayloadTemplate;
    protected processPathKey(key: string, path: unknown, inputJson: string): Record<string, unknown>;
    process(inputJson: string): Record<string, unknown>;
}
