"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StateMachine = void 0;
class StateMachine {
    constructor(_stateMachineKey, _stateMachineDescription) {
        this._stateMachineKey = _stateMachineKey;
        this._stateMachineDescription = _stateMachineDescription;
    }
    static create(stateMachineKey, stateMachineDescription) {
        return new StateMachine(stateMachineKey, stateMachineDescription);
    }
    get definition() {
        return this._stateMachineDescription.definition;
    }
    get name() {
        return this._stateMachineDescription.name || this._stateMachineKey;
    }
}
exports.StateMachine = StateMachine;
