import { StateTypeExecutor } from '../StateTypeExecutor';
import type { ChoiceStateDefinition } from '../../types/State';
import type { StateExecutorOutput } from '../../types/StateExecutorOutput';
import { Context } from '../../Context/Context';
export declare class ChoiceExecutor extends StateTypeExecutor {
    execute(context: Context, definition: ChoiceStateDefinition, json: string | undefined): Promise<StateExecutorOutput>;
    private processInput;
    private processOutput;
    private evaluateChoice;
    private checkEquals;
    private checkGreaterThan;
    private checkGreaterThanEquals;
    private checkLowerThan;
    private checkLowerThanEquals;
    private getComparatorFromChoice;
}
