import { StateMachineContext } from './StateMachineContext';
export declare class ExecutionContext {
    private readonly _id;
    private readonly _input;
    private readonly _name;
    private readonly _roleArn;
    private readonly _startTime;
    constructor(_id: string, _input: string | undefined, _name: string, _roleArn: string, _startTime: string);
    static create(stateMachineContext: StateMachineContext, input: string | undefined): ExecutionContext;
    private static createStateMachineExecutionArn;
    get Id(): string;
    get Input(): string | undefined;
    get Name(): string;
    get RoleArn(): string;
    get StartTime(): string;
}
