"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StateInfoHandler = void 0;
class StateInfoHandler {
    constructor() {
        this.statesHandlersMap = new Map();
    }
    static getInstance() {
        if (!this.INSTANCE) {
            this.INSTANCE = new StateInfoHandler();
        }
        return this.INSTANCE;
    }
    setStateInfo(stateMachineName, stateName, handlerPath, handlerName, environment) {
        this.statesHandlersMap.set(`${stateMachineName}+${stateName}`, {
            handlerName,
            handlerPath,
            environment,
        });
    }
    getStateInfo(stateMachineName, stateName) {
        return this.statesHandlersMap.get(`${stateMachineName}+${stateName}`);
    }
}
exports.StateInfoHandler = StateInfoHandler;
