"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StateMachines = void 0;
const StateMachine_1 = require("./StateMachine");
class StateMachines {
    constructor(_stateMachines) {
        this._stateMachines = _stateMachines;
    }
    static create(stateMachines) {
        const stateMachineTupleArray = Object.entries(stateMachines);
        const stateMachineArray = stateMachineTupleArray.map(([key, val]) => StateMachine_1.StateMachine.create(key, val));
        return new StateMachines(stateMachineArray);
    }
    getStateMachineBy(name) {
        return this._stateMachines.filter((val) => val.name === name)[0];
    }
    get stateMachines() {
        return this._stateMachines;
    }
}
exports.StateMachines = StateMachines;
