import { PayloadTemplateType } from '../src/types/State';
import { Context } from './Context/Context';
import { Logger } from './utils/Logger';
export declare class StateProcessor {
    protected static logger: Logger;
    static processItemsPath(dataJson: string | undefined | null, itemsPath: string | null | undefined): string;
    static processInputPath(dataJson: string | undefined | null, inputPath: string | null | undefined): string;
    static processWaitForTokenParameters(dataJson: string | undefined | null, parameters: PayloadTemplateType, context: Context): string;
    static processParameters(dataJson: string | undefined | null, payloadTemplateInput: PayloadTemplateType | undefined, context: Context): string;
    static processResultPath(input: Record<string, unknown>, result: Record<string, unknown>, resultPath?: string): string;
    static processOutputPath(json?: string, outputPath?: string): string;
}
