import { Context } from '../../Context/Context';
import type { WaitStateDefinition } from '../../types/State';
import type { StateExecutorOutput } from '../../types/StateExecutorOutput';
import { StateTypeExecutor } from '../StateTypeExecutor';
export declare class WaitExecutor extends StateTypeExecutor {
    execute(context: Context, definition: WaitStateDefinition, inputJson: string | undefined): Promise<StateExecutorOutput>;
    private processInput;
    private processOutput;
    private convertSecondsToMillis;
    private convertTimestamptoMillis;
    private getSecondsFromPath;
    private getTimestampFromPath;
}
